package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type CrossborderContractDetailRequest struct {
	// <ext>core:true;format:string</ext> 【跨境电子签约文件id】跨境电子签约文件id 【作用】 指定需查询详情的跨境电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractId *int64 `json:"contractId,omitempty"`
	// <ext>core:true</ext> 【第三方业务系统文件id】第三方业务系统文件id 【作用】 指定需查询详情的跨境电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true</ext> 【是否返回图片参数】是否返回图片参数 【作用】 若返回的模板参数中存在图片参数，系统会以Base64格式参数格式返回，可能会导致返回的数据量较大，可根据实际业务选择是否返回图片参数值 【传参】 取值范围：true（返回），false（不返回）；不传值默认为：true（返回）。
	DisplayImageValue string `json:"displayImageValue,omitempty"`
	// <ext>core:true</ext> 【返回文档参数内容】返回文档参数内容 【作用】 若电子签约文件为模板文件，文件中存在需签署方填写的参数，可控制是否返回模板参数内容，内容包括参数名称、填写值、是否必填等信息 【传参】 取值范围：true（返回），false（不返回）；不传值默认为：true（返回）。 【特殊说明】 若文件非模板文件或为模板文件但无模板参数，则返回为空
	ShowParamValue string `json:"showParamValue,omitempty"`
}

func (obj CrossborderContractDetailRequest) GetUrl() string {
	return "/cross-border/contract/detail"
}

func (obj CrossborderContractDetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("contractId", obj.ContractId)
	parameter.AddParam("bizId", obj.BizId)
	parameter.AddParam("displayImageValue", obj.DisplayImageValue)
	parameter.AddParam("showParamValue", obj.ShowParamValue)
	return parameter
}
